# BarcodeAdditionalParameters class

A class that contains additional parameters for barcodes detection and filtering.

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

BarcodeAdditionalParameters({Gs1HandlingMode? gs1HandlingMode, int? minimumTextLength, int? maximumTextLength, int? minimum1DBarcodesQuietZone, MSIPlesseyChecksumAlgorithm? msiPlesseyChecksumAlgorithm, bool? stripCheckDigits})

## Properties

gs1HandlingMode ↔ Gs1HandlingMode?
  GS1 handling mode
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
maximumTextLength ↔ int?
  Maximum text length of the detected barcode. Setting to zero removes the limit. The default is 0. NOTE: Currently works for ITF barcodes only!
  getter/setter pair
minimum1DBarcodesQuietZone ↔ int?
  Minimum required quiet zone on the barcode. Measured in modules (the size of minimal bar on the barcode). The default is 10. NOTE: Currently works for ITF barcodes only!
  getter/setter pair
minimumTextLength ↔ int?
  Minimum required text length of the detected barcode. The default is 0. NOTE: Currently works for ITF barcodes only!
  getter/setter pair
msiPlesseyChecksumAlgorithm ↔ MSIPlesseyChecksumAlgorithm?
  The checksum algorithm for MSI Plessey barcodes. The default value is `Mod10'
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
stripCheckDigits ↔ bool?
  With this option enabled, the scanner removes checks digits for UPC, EAN and MSI Plessey codes. Has no effect if both single and double digit MSI Plessey checksums are enabled. The default is `false`
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited